Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.ng
Class ExecuteOperations

    java.lang.Object
      org.apache.struts2.dispatcher.ng.ExecuteOperations

    public class ExecuteOperations

extends java.lang.Object

Contains execution operations for filters

Constructor Summary
`ExecuteOperations(javax.servlet.ServletContext servletContext, Dispatcher dispatcher)`

Method Summary
`void` | `executeAction(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, ActionMapping mapping)` Executes an action
`boolean` | `executeStaticResourceRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Tries to execute a request for a static resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteOperations

    public ExecuteOperations(javax.servlet.ServletContext servletContext,
                             Dispatcher dispatcher)

Method Detail

### executeStaticResourceRequest

    public boolean executeStaticResourceRequest(javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.http.HttpServletResponse response)
                                         throws java.io.IOException,
                                                javax.servlet.ServletException

  Tries to execute a request for a static resource

  Returns:
    True if it was handled, false if the filter should fall through
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### executeAction

    public void executeAction(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              ActionMapping mapping)
                       throws javax.servlet.ServletException

  Executes an action

  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.